# DestroyPort

## 1. 接口描述

本接口用于销毁端口。

#### 准备工作

* 在销毁Port之前，你可以调用[DescribePorts](https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/describeports#DescribePorts)进行查看端口列表。

{% hint style="info" %}
**注意事项**

* 本操作不可逆，一旦操作成功，端口将被彻底释放，请谨慎操作。
* 只有在回收站中的端口才支持该操作。
* 本接口为异步接口，当销毁Port请求下发成功返回请求id后，销毁Port操作并未立即完成。在此期间Port的状态将会处于`DESTROYING`，Port销毁结果可以通过调用[DescribePorts](https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/describeports#describeports)接口查询，如果Port状态由`DESTROYING`(创建中)变为`DESTROYED`，则代表Port销毁成功且列表不会返回。销毁过程中不可对Port进行任何操作。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

<table><thead><tr><th>参数名称</th><th width="163">是否必选</th><th>类型</th><th>描述</th></tr></thead><tbody><tr><td>portId</td><td>是</td><td>String</td><td>端口id。</td></tr></tbody></table>

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DestroyPort
<Common Request Params>

Request:
{
  "portId": "your-port-id"
}

Response:
{
  "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2",
  "response": {
    "requestId": "T3811A0E7-C250-40A2-96AD-08AD759E1BC2"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                             | 说明     |
| ------- | ------------------------------- | ------ |
| 7105    | SELF\_SERVICE\_PORT\_NOT\_FOUND | 端口未找到。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/networking/sdn/port/destroyport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
